# Generated by Django 4.1.10 on 2024-01-30 13:32

import django.db.models.deletion
import wagtail.fields
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("wagtailimages", "0025_alter_image_file_alter_rendition_file"),
        ("donate", "0040_alter_donatehomepage_lead_body"),
    ]

    operations = [
        migrations.AddField(
            model_name="donateprojectpage",
            name="is_sticky",
            field=models.BooleanField(
                default=False,
                help_text="Pokud je projekt připnutý, na domovské stránce se v seznamech projektů udrží na začátku.",
                verbose_name="Je připnutý",
            ),
        ),
        migrations.AlterField(
            model_name="donateprojectpage",
            name="allow_periodic_donations",
            field=models.BooleanField(
                default=False, verbose_name="Umožnit pravidelné dary"
            ),
        ),
        migrations.AlterField(
            model_name="donateprojectpage",
            name="body",
            field=wagtail.fields.RichTextField(verbose_name="Obsah"),
        ),
        migrations.AlterField(
            model_name="donateprojectpage",
            name="coalition_design",
            field=models.BooleanField(default=False, verbose_name="Koaliční design"),
        ),
        migrations.AlterField(
            model_name="donateprojectpage",
            name="date",
            field=models.DateField(verbose_name="Běží od"),
        ),
        migrations.AlterField(
            model_name="donateprojectpage",
            name="donated_amount",
            field=models.IntegerField(
                blank=True, null=True, verbose_name="Vybraná částka"
            ),
        ),
        migrations.AlterField(
            model_name="donateprojectpage",
            name="expected_amount",
            field=models.IntegerField(
                blank=True, null=True, verbose_name="Očekávaná částka"
            ),
        ),
        migrations.AlterField(
            model_name="donateprojectpage",
            name="form_title",
            field=models.CharField(
                choices=[("project", "Podpoř projekt"), ("camapign", "Podpoř kampaň")],
                default="project",
                max_length=10,
                verbose_name="Titulek formuláře",
            ),
        ),
        migrations.AlterField(
            model_name="donateprojectpage",
            name="is_new",
            field=models.BooleanField(
                default=False, verbose_name='Označení "nový projekt"'
            ),
        ),
        migrations.AlterField(
            model_name="donateprojectpage",
            name="perex",
            field=models.TextField(verbose_name="Krátký popis"),
        ),
        migrations.AlterField(
            model_name="donateprojectpage",
            name="photo",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                to="wagtailimages.image",
                verbose_name="Fotka",
            ),
        ),
        migrations.AlterField(
            model_name="donateprojectpage",
            name="until",
            field=models.DateField(blank=True, null=True, verbose_name="Běží do"),
        ),
    ]
